import { Component, OnInit, Input } from '@angular/core';

import { IUser } from '../../models/user';
import {Store} from '@ngrx/store';
import * as appReducers from '../../reducers/app-common.reducer';
import * as appActions from '../../actions/app-common.actions';

@Component({
    selector: 'fm-notification-menu',
    templateUrl: './notification-menu.component.html',
    styleUrls: ['./notification-menu.component.scss'],
    standalone: false
})
export class NotificationMenuComponent implements OnInit {

  @Input() unread:number;
  @Input() user:IUser;
  @Input() showMenu:boolean;
  public noContent = true;

  constructor(private store: Store<appReducers.State>) { }

  ngOnInit(): void {
  }

  toggle(event:MouseEvent) {
    event.stopPropagation();
    this.store.dispatch(new appActions.ToggleNotificationMenu());
  } 

  activateRoute() {
    this.noContent=false;
  }

  deActivateRoute() {
    this.noContent=true;
  }

}
